package meerkat.bulletinboard.workers.multiserver;

import com.google.common.util.concurrent.FutureCallback;
import meerkat.bulletinboard.SingleServerBulletinBoardClient;
import meerkat.protobuf.BulletinBoardAPI.BeginBatchMessage;

import java.util.List;

/**
 * Created by Arbel Deutsch Peled on 27-Dec-15.
 */
public class MultiServerBeginBatchWorker extends MultiServerGenericPostWorker<BeginBatchMessage> {

    public MultiServerBeginBatchWorker(List<SingleServerBulletinBoardClient> clients,
                                       int minServers, BeginBatchMessage payload, int maxRetry,
                                       FutureCallback<Boolean> futureCallback) {

        super(clients, minServers, payload, maxRetry, futureCallback);

    }

    @Override
    protected void doPost(SingleServerBulletinBoardClient client, BeginBatchMessage payload) {
        client.beginBatch(payload, this);
    }


}
